Name:           gimp-bimp-plugin
Version:        1.18
Release:        1%{?dist}
Summary:        Batch Image Manipulation Plugin

License:        GPLv2+ 
URL:            http://www.alessandrofrancesconi.it/projects/bimp/
#Source0:        https://github.com/alessandrofrancesconi/gimp-plugin-bimp/archive/v1.18.tar.gz
Source0:        https://github.com/alessandrofrancesconi/gimp-plugin-bimp/archive/v%{version}.tar.gz

BuildRequires:  gimp-devel
BuildRequires:  gimp-devel-tools
BuildRequires:  pcre-devel

Requires:       gimp
Requires:       pcre

%description
With BIMP you can apply a set of manipulations to an entire group of images!
It provides an easy to use interface and a lot of batch functions:
resize, crop, flip and rotate, blurring and sharpening,
color (and curve) correction, watermark, rename, change compression and format
and whatever you want! (almost)

%prep
%setup -q -n "gimp-plugin-bimp-%{version}"
echo '#!/bin/bash' > "configure"
chmod +x "configure"

%build
%configure
make %{?_smp_mflags}

%install
#GIMP_PLUGINS_DIR="$( gimptool-2.0 --gimpplugindir )"
#mkdir -p "%{buildroot}/${GIMP_PLUGINS_DIR}/plug-ins"
#install "bin/bimp" "%{buildroot}/${GIMP_PLUGINS_DIR}/plug-ins"

mkdir -p "%{buildroot}/%{_libdir}/gimp/2.0/plug-ins/"
install "bin/bimp" "%{buildroot}/%{_libdir}/gimp/2.0/plug-ins/"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc CHANGELOG.md LICENSE README.md
%{_libdir}/gimp/2.0/plug-ins/bimp

%changelog
* Sat Oct 21 2017 Tomasz Tomasik <scx.mail@gmail.com> - 1.18-1
- Update to version 1.18

* Tue May 24 2016 Tomasz Tomasik <scx.mail@gmail.com> 1.16-1
- Initial SPEC file

